Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 264)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 265)
@@ -58,11 +58,20 @@
 include("crea_pagina.php");
 
-$res = mysql_query("SELECT descrizione from  ".$prefix."_ele_comuni where id_comune='$id_comune'" , $dbi);
-list($descr_comune) = mysql_fetch_row($res);
-
-$res = mysql_query("SELECT t1.descrizione, t1.tipo_cons,t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_tipo as t2 where t1.tipo_cons=t2.tipo_cons and t1.id_cons_gen='$id_cons_gen' ", $dbi);
-list($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo) = mysql_fetch_row($res);
-$res = mysql_query("SELECT t2.id_cons,t2.solo_gruppo,t2.disgiunto FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($id_cons,$dettnulli,$disgiunto) = mysql_fetch_row($res);
+$sql="SELECT descrizione from  ".$prefix."_ele_comuni where id_comune='$id_comune'" ;
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+list($descr_comune) = $res->fetch(PDO::FETCH_NUM);
+
+$sql="SELECT t1.descrizione, t1.tipo_cons,t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_tipo as t2 where t1.tipo_cons=t2.tipo_cons and t1.id_cons_gen='$id_cons_gen' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+list($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo) = $res->fetch(PDO::FETCH_NUM);
+$sql="SELECT t2.id_cons,t2.solo_gruppo,t2.disgiunto FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" ;
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+list($id_cons,$dettnulli,$disgiunto) = $res->fetch(PDO::FETCH_NUM);
 
 
@@ -89,8 +98,4 @@
 	if($op=="candidato_sezione") $pagina=_CONSI." "._PER." "._SEZIONI;
 	if($op=="consiglieri") $pagina=_CALCONS;
-
-
-
-
 	if (strstr( $op,'circo')) { //$op=='gruppo_circo' or $op=='lista_circo') {
 		$tab1="circ";
@@ -160,228 +165,235 @@
 		}
 		if (!$csv){
-		echo "<form id=\"voti\" method=\"post\" action=\"modules.php\">";
-		echo "<div><input type=\"hidden\" name=\"pag\" value=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;id_circ=$id_circ&amp;id_lista=\"></input>";
-		echo "<input type=\"hidden\" name=\"pagina\" value=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;id_circ=\"></input>";
+			echo "<form id=\"voti\" method=\"post\" action=\"modules.php\">";
+			echo "<div><input type=\"hidden\" name=\"pag\" value=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;id_circ=$id_circ&amp;id_lista=\"></input>";
+			echo "<input type=\"hidden\" name=\"pagina\" value=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;id_circ=\"></input>";
 		}
 		$condcirc='';
 		if ($circo){ //gestione circoscrizionali
 			if(!$id_circ){
-			$res_cir = mysql_query("SELECT id_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons and num_circ=1",$dbi); //se non si e' scelta una circoscr. prende la prima
-			list($id_circ)=mysql_fetch_row($res_cir);
-			}
-			$res_cir = mysql_query("SELECT num_circ from ".$prefix."_ele_circoscrizione where id_circ=$id_circ",$dbi); //estrae il numero della circoscrizione
-			list($num_circ)=mysql_fetch_row($res_cir);
+				$sql="SELECT id_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons and num_circ=1";
+				$res_cir = $dbi->prepare("$sql");
+				$res_cir->execute();
+	 //se non si e' scelta una circoscr. prende la prima
+				list($id_circ)=$res_cir->fetch(PDO::FETCH_NUM);
+			}
+			$sql="SELECT num_circ from ".$prefix."_ele_circoscrizione where id_circ=$id_circ";
+			$res_cir = $dbi->prepare("$sql");
+			$res_cir->execute();
+ //estrae il numero della circoscrizione
+			list($num_circ)=$res_cir->fetch(PDO::FETCH_NUM);
 			$condcirc="and id_circ=$id_circ";  //variabile aggiunta nelle select per le circ.
-			$res_sez = mysql_query("SELECT count(t1.num_sez) from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede and t2.id_circ=$id_circ",$dbi); //numero di sezioni nella circoscrizione
-			$res_min = mysql_query("SELECT min(t1.num_sez) from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede and t2.id_circ=$id_circ",$dbi); //setta minsez sulla prima sezione della circoscrizione
-			list($minsez)=mysql_fetch_row($res_min);
-			}
-		elseif (strstr( $op,'circo'))
-			$res_sez = mysql_query("SELECT count(num_circ),min(num_circ),max(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);
-		else
-			$res_sez = mysql_query("SELECT count(num_sez),min(num_sez),max(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
-		if($res_sez) list($tot_sez,$numsezmin,$numsezmax)=mysql_fetch_row($res_sez); 
-		$res_sez = mysql_query("SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
-		list($tuttelesez)=mysql_fetch_row($res_sez); 
+			$sql="SELECT count(t1.num_sez) from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede and t2.id_circ=$id_circ";
+			$res_sez = $dbi->prepare("$sql");
+			$res_sez->execute();
+ //numero di sezioni nella circoscrizione
+			$sql="SELECT min(t1.num_sez) from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede and t2.id_circ=$id_circ";
+			$res_min = $dbi->prepare("$sql");
+			$res_min->execute();
+ //setta minsez sulla prima sezione della circoscrizione
+			list($minsez)=$res_min->fetch(PDO::FETCH_NUM);
+		}
+		elseif (strstr( $op,'circo')){
+			$sql="SELECT count(num_circ),min(num_circ),max(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons";
+			$res_sez = $dbi->prepare("$sql");
+			$res_sez->execute();
+		}
+		else{
+			$sql="SELECT count(num_sez),min(num_sez),max(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons";
+			$res_sez = $dbi->prepare("$sql");
+			$res_sez->execute();
+		}
+		if($res_sez) list($tot_sez,$numsezmin,$numsezmax)=$res_sez->fetch(PDO::FETCH_NUM); 
+		$sql="SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons";
+		$res_sez = $dbi->prepare("$sql");
+		$res_sez->execute();
+
+		list($tuttelesez)=$res_sez->fetch(PDO::FETCH_NUM); 
 
 		$num_sez=$tot_sez;//mysql_data_seek($res_sez,0);
 		if ($circo) $offsetsez=$numsezmax; //$num_sez+$minsez-1;//setta offsetsez sull'ultima sezione della circoscrizione
-#		if(strstr( $op,"circo")) {
-#				$res_sez = mysql_query("SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);  //estrae il numero delle circoscrizioni
-#				list($num_sez)=mysql_fetch_row($res_sez);
-#			}
-#Tolgo la scelta della circoscrizione o collegio perché gestita per tutte le pagine in index.php
-/*			if ($circo){ // elenco per scelta circoscrizione
-				$res_sez = mysql_query("SELECT id_circ,descrizione,num_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);
-				echo "<div >"._SCELTA_CIR.": 
-				<select name=\"id_circ\" class=\"modulo\" onChange=\"top.location.href=this.form.pagina.value+this.form.id_circ.options[this.form.id_circ.selectedIndex].value;return false\">";
-				while(list($id_rif,$descrizione,$num_cir)=mysql_fetch_row($res_sez)) {
-					if (!$id_circ) $id_circ=$id_rif;
-					$sel = ($id_rif == $id_circ) ? "selected=\"selected\"" : "";
+
+		$visvot='';
+
+		if (!$csv) echo "<div><h5>$pagina</h5></div>";
+		if (!$csv) echo "<div style=\" text-align:left; margin-left:20px;\">";
+
+		if(strstr( $op,'candidato')){
+//			$numliste=mysql_num_rows($res_lis);
+			$visvot="cand";
+			if (!$csv){
+				$sql="SELECT id_lista, descrizione,num_lista from ".$prefix."_ele_lista where id_cons=$id_cons $condcirc order by num_lista";
+				$res_lis = $dbi->prepare("$sql");
+				$res_lis->execute();
+
+				//elenco delle liste per la scelta
+				echo "<p>"._SCEGLI_LISTA.": 
+				<select name=\"id_lista\" class=\"modulo\" onChange=\"top.location.href=this.form.pag.value+this.form.id_lista.options[this.form.id_lista.selectedIndex].value;return false\">";
+				while(list($id_rif,$descrizione,$num_lis) = $res_lis->fetch(PDO::FETCH_NUM)) {
+					if (!$id_lista) $id_lista=$id_rif;
+					$sel = ($id_rif == $id_lista) ? "selected=\"selected\"" : "";
 					echo "<option value=\"$id_rif\" $sel>";
-					for ($j=strlen($num_cir);$j<2;$j++) { echo "&nbsp;&nbsp;";}
-					echo $num_cir.") ".$descrizione."</option>";
+					for ($j=strlen($num_lis);$j<2;$j++) { echo "&nbsp;&nbsp;";}
+					echo $num_lis.") ".$descrizione."</option>";
 				}
-				echo "</select></div>";
-			
-			}
-*/
-			$visvot='';
-
-			if (!$csv) echo "<div><h5>$pagina</h5></div>";
-			if (!$csv) echo "<div style=\" text-align:left; margin-left:20px;\">";
-
-			if(strstr( $op,'candidato')){
-//			$numliste=mysql_num_rows($res_lis);
-				$visvot="cand";
-				if (!$csv){
-					
-
-					$res_lis = mysql_query("SELECT id_lista, descrizione,num_lista from ".$prefix."_ele_lista where id_cons=$id_cons $condcirc order by num_lista",$dbi);
-					//elenco delle liste per la scelta
-					echo "<p>"._SCEGLI_LISTA.": 
-					<select name=\"id_lista\" class=\"modulo\" onChange=\"top.location.href=this.form.pag.value+this.form.id_lista.options[this.form.id_lista.selectedIndex].value;return false\">";
-					while(list($id_rif,$descrizione,$num_lis) = mysql_fetch_row($res_lis)) {
-						if (!$id_lista) $id_lista=$id_rif;
-						$sel = ($id_rif == $id_lista) ? "selected=\"selected\"" : "";
-						echo "<option value=\"$id_rif\" $sel>";
-						for ($j=strlen($num_lis);$j<2;$j++) { echo "&nbsp;&nbsp;";}
-						echo $num_lis.") ".$descrizione."</option>";
-					}
-					echo "</select></p>";
-				}
-				$res_scr = mysql_query("SELECT count(t1.id_sez) from ".$prefix."_ele_voti_$tab as t1, ".$prefix."_ele_$tab as t2 where t2.id_lista=$id_lista and t1.id_cand=t2.id_cand group by t1.id_cand",$dbi);
-				$res_cand = mysql_query("SELECT id_cand, concat(cognome,' ', nome), num_cand from ".$prefix."_ele_$tab where id_cons=$id_cons and id_lista=$id_lista order by num_cand",$dbi);
-				if ($circo) $condcirc="and t5.id_circ=$id_circ";
-
-				$res_voti = mysql_query("select $tab2, t1.num_cand, concat(t1.cognome,' ', t1.nome), sum(t2.voti),'','','','','' 
-				from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2, "
-				.$prefix."_ele_sezioni as t3, ".$prefix."_ele_sede as t4, ".$prefix."_ele_circoscrizione as t5
-				where t1.id_lista=$id_lista
-				and t1.id_cons=$id_cons
-				and t1.id_cand=t2.id_cand
-				and t2.id_sez=t3.id_sez
-				and t3.id_sede=t4.id_sede
-				and t4.id_circ=t5.id_circ $condcirc
-				group by t1.num_cand,$tab3
-				order by $tab3,t1.num_cand",$dbi);
-
+				echo "</select></p>";
+			}
+			$sql="SELECT count(t1.id_sez) from ".$prefix."_ele_voti_$tab as t1, ".$prefix."_ele_$tab as t2 where t2.id_lista=$id_lista and t1.id_cand=t2.id_cand group by t1.id_cand";
+			$res_scr = $dbi->prepare("$sql");
+			$res_scr->execute();
+
+			$sqlc="SELECT id_cand, concat(cognome,' ', nome), num_cand from ".$prefix."_ele_$tab where id_cons=$id_cons and id_lista=$id_lista order by num_cand";
+			$res_cand = $dbi->prepare("$sqlc");
+			$res_cand->execute();
+
+			if ($circo) $condcirc="and t5.id_circ=$id_circ";
+
+			$sqlvoti="select $tab2, t1.num_cand, concat(t1.cognome,' ', t1.nome), sum(t2.voti),'','','','','' 
+			from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2, "
+			.$prefix."_ele_sezioni as t3, ".$prefix."_ele_sede as t4, ".$prefix."_ele_circoscrizione as t5
+			where t1.id_lista=$id_lista
+			and t1.id_cons=$id_cons
+			and t1.id_cand=t2.id_cand
+			and t2.id_sez=t3.id_sez
+			and t3.id_sede=t4.id_sede
+			and t4.id_circ=t5.id_circ $condcirc
+			group by t1.num_cand,$tab3
+			order by $tab3,t1.num_cand";
+			$res_voti = $dbi->prepare("$sqlvoti");
+			$res_voti->execute();
 		}else{
 			if (!$csv)
 				echo "<input type=\"hidden\" name=\"id_lista\" value=\"\"></input>";
 				
-				// camera e senato nel 2006 aggiunte le somme della coalizione
-				// divise per circo e sez. in quanto nella tabella del gruppo
-				// all'atto dell'immsione non viene fatta la somma
-				// quindi leggere prima i voti di lista e poi agganciali al gruppo
-				// la var $tab diviene lista, $tab15 diviene gruppo in caso di somma
-				// dei voti di lista...oltre naturalmnte alle condizioni messe in variabile
-				// 4 aprile 2006 by luc
-				if ($votog && $tab=="gruppo"){ // camera e senato 2006
-					$t="t9";
-					$tab="lista";
-					$tab15="gruppo";
-					$add_1= ",".$prefix."_ele_gruppo as t9";
-					$and_1="and t1.id_gruppo=t9.id_gruppo";
-				}else{
-					$t="t1";
-					$tab15=$tab;
-					$add_1='';
-					$and_1='';
-				}
-				// fine della modifica
-				 
-				$res_scr = mysql_query("SELECT count(id_sez) from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons' group by id_$tab15",$dbi); //numero sezioni scrutinate
-				$res_cand = mysql_query("SELECT id_$tab15, descrizione, num_$tab15 from ".$prefix."_ele_$tab15 where id_cons='$id_cons' $condcirc order by num_$tab15",$dbi);
-				if ($circo) $condcirc="and t5.id_circ=$id_circ";			
-                                if ($tab=="gruppo")
-                                        $votigl=" sum(t3.validi),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati),sum(t3.voti_nulli)";
-                                else
-                                        if ($votog) $votigl=" (t3.validi_lista),(t3.nulli),(t3.bianchi),(t3.contestati),(t3.voti_nulli)";
-                                        else $votigl=" sum(t3.validi_lista),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati_lista),sum(t3.voti_nulli_lista+t3.voti_nulli)";
-
-
-
-				$res_voti = mysql_query("select $tab2, $t.num_$tab15, $t.descrizione, sum(t2.voti), $votigl
-				from 
-				".$prefix."_ele_$tab as t1, 
-				".$prefix."_ele_voti_$tab as t2, 
-				".$prefix."_ele_sezioni as t3, 
-				".$prefix."_ele_sede as t4, 
-				".$prefix."_ele_circoscrizione as t5
-				$add_1
-				
-				where t1.id_cons=$id_cons 
-				and t1.id_$tab=t2.id_$tab
-				$and_1
-				
-				and t2.id_sez=t3.id_sez
-				and t3.id_sede=t4.id_sede
-				and t4.id_circ=t5.id_circ $condcirc
-				
-				
-				group by $t.num_$tab15,$tab3
-				order by $tab3,$t.num_$tab15",$dbi);
+			// camera e senato nel 2006 aggiunte le somme della coalizione
+			// divise per circo e sez. in quanto nella tabella del gruppo
+			// all'atto dell'immsione non viene fatta la somma
+			// quindi leggere prima i voti di lista e poi agganciali al gruppo
+			// la var $tab diviene lista, $tab15 diviene gruppo in caso di somma
+			// dei voti di lista...oltre naturalmnte alle condizioni messe in variabile
+			// 4 aprile 2006 by luc
+			if ($votog && $tab=="gruppo"){ // camera e senato 2006
+				$t="t9";
+				$tab="lista";
+				$tab15="gruppo";
+				$add_1= ",".$prefix."_ele_gruppo as t9";
+				$and_1="and t1.id_gruppo=t9.id_gruppo";
+			}else{
+				$t="t1";
+				$tab15=$tab;
+				$add_1='';
+				$and_1='';
+			}
+			// fine della modifica
+			 
+			$sql="SELECT count(id_sez) from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons' group by id_$tab15";
+			$res_scr = $dbi->prepare("$sql");
+			$res_scr->execute();
+ //numero sezioni scrutinate
+			$sqlc="SELECT id_$tab15, descrizione, num_$tab15 from ".$prefix."_ele_$tab15 where id_cons='$id_cons' $condcirc order by num_$tab15";
+			$res_cand = $dbi->prepare("$sqlc");
+			$res_cand->execute();
+
+			if ($circo) $condcirc="and t5.id_circ=$id_circ";			
+			if ($tab=="gruppo")
+					$votigl=" sum(t3.validi),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati),sum(t3.voti_nulli)";
+			else
+				if ($votog) $votigl=" (t3.validi_lista),(t3.nulli),(t3.bianchi),(t3.contestati),(t3.voti_nulli)";
+				else $votigl=" sum(t3.validi_lista),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati_lista),sum(t3.voti_nulli_lista+t3.voti_nulli)";
+			$sqlvoti="select $tab2, $t.num_$tab15, $t.descrizione, sum(t2.voti), $votigl
+			from 
+			".$prefix."_ele_$tab as t1, 
+			".$prefix."_ele_voti_$tab as t2, 
+			".$prefix."_ele_sezioni as t3, 
+			".$prefix."_ele_sede as t4, 
+			".$prefix."_ele_circoscrizione as t5
+			$add_1
 			
-			}
-			if ($res_scr) list($tot_scr)=mysql_fetch_row($res_scr);else $tot_scr=0;
-			if ($res_cand) $num_cand=mysql_num_rows($res_cand); else $num_cand=0;
-			if(!$circo){ 
-				if (!(0 < $minsez and $minsez<=$numsezmax)) $minsez=1;
-				if (!(0<$offsetsez and $offsetsez<=$numsezmax)) $offsetsez=$numsezmax;
-			}
-			if (!(0 < $min and $min<=$num_cand)) $min=1;
-			if (!(0<$offset and $offset<=$num_cand)) $offset=$num_cand;
-			if (!$csv) {		
-				if(strstr( $op,'lista')){$scelta=_SCEGLI_LISTA;}else{$scelta=_SCEGLI_CANDI;}
-				echo "<p>$scelta "._DA.":&nbsp;  <select name=\"min\" class=\"modulo\">";
-				while(list($id_rif,$descrizione,$num_lis) = mysql_fetch_row($res_cand)) {
-					if (!$min) $min=$num_lis;
-					$sel = ($num_lis == $min) ? "selected=\"selected\"" : "";
-					echo "<option value=\"$num_lis\" $sel>";
-					for ($j=strlen($num_lis);$j<2;$j++) { echo "&nbsp;&nbsp;";}
-					echo $num_lis.") ".$descrizione."</option>";
-					
-				}
-				echo "</select>";
-				echo "&nbsp;&nbsp;"._A.":&nbsp; <select name=\"offset\" class=\"modulo\">";
-				mysql_data_seek($res_cand,0);
-				while(list($id_rif,$descrizione,$num_lis) = mysql_fetch_row($res_cand)) {
-					if (!$offset) $offset=$num_lis;
-					$sel = ($num_lis == $offset) ? "selected=\"selected\"" : "";
-					echo "<option value=\"$num_lis\" $sel>";
-					for ($j=strlen($num_lis);$j<2;$j++) { echo "&nbsp;&nbsp;";}
-					echo $num_lis.") ".$descrizione."</option>";
-					
-				}
-				echo "</select></p>";
-				//echo "<div style=\"text-align:left; margin-left:20px;\">";
-				if(!$circo){
+			where t1.id_cons=$id_cons 
+			and t1.id_$tab=t2.id_$tab
+			$and_1
+			
+			and t2.id_sez=t3.id_sez
+			and t3.id_sede=t4.id_sede
+			and t4.id_circ=t5.id_circ $condcirc
+			
+			
+			group by $t.num_$tab15,$tab3
+			order by $tab3,$t.num_$tab15";
+			$res_voti = $dbi->prepare("$sqlvoti");
+			$res_voti->execute();
+		}
+		if ($res_scr) list($tot_scr)=$res_scr->fetch(PDO::FETCH_NUM);else $tot_scr=0;
+		if ($res_cand) $num_cand=$res_cand->rowCount(); else $num_cand=0;
+		if(!$circo){ 
+			if (!(0 < $minsez and $minsez<=$numsezmax)) $minsez=1;
+			if (!(0<$offsetsez and $offsetsez<=$numsezmax)) $offsetsez=$numsezmax;
+		}
+		if (!(0 < $min and $min<=$num_cand)) $min=1;
+		if (!(0<$offset and $offset<=$num_cand)) $offset=$num_cand;
+		if (!$csv) {		
+			if(strstr( $op,'lista')){$scelta=_SCEGLI_LISTA;}else{$scelta=_SCEGLI_CANDI;}
+			echo "<p>$scelta "._DA.":&nbsp;  <select name=\"min\" class=\"modulo\">";
+			while(list($id_rif,$descrizione,$num_lis) = $res_cand->fetch(PDO::FETCH_NUM)) {
+				if (!$min) $min=$num_lis;
+				$sel = ($num_lis == $min) ? "selected=\"selected\"" : "";
+				echo "<option value=\"$num_lis\" $sel>";
+				for ($j=strlen($num_lis);$j<2;$j++) { echo "&nbsp;&nbsp;";}
+				echo $num_lis.") ".$descrizione."</option>";				
+			}
+			echo "</select>";
+			echo "&nbsp;&nbsp;"._A.":&nbsp; <select name=\"offset\" class=\"modulo\">";
+			$res_cand = $dbi->prepare("$sqlc");
+			$res_cand->execute();
+
+			while(list($id_rif,$descrizione,$num_lis) = $res_cand->fetch(PDO::FETCH_NUM)) {
+				if (!$offset) $offset=$num_lis;
+				$sel = ($num_lis == $offset) ? "selected=\"selected\"" : "";
+				echo "<option value=\"$num_lis\" $sel>";
+				for ($j=strlen($num_lis);$j<2;$j++) { echo "&nbsp;&nbsp;";}
+				echo $num_lis.") ".$descrizione."</option>";
+				
+			}
+			echo "</select></p>";
+			//echo "<div style=\"text-align:left; margin-left:20px;\">";
+			if(!$circo){
 				echo "<p>"._SCEGLI." $tipo1 n. <input  name=\"minsez\" value=\"$minsez\" size=\"4\" ></input>";
 				echo _A." n. <input  name=\"offsetsez\" value=\"$offsetsez\" size=\"4\" ></input> (max. $numsezmax)";
-				}
-				# pagine
+			}
+			# pagine
 ############
-if (strstr( $op,'circo'))
-$resnsez = mysql_query("SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons and num_circ>=$minsez and num_circ<=$offsetsez",$dbi);
-else
-$resnsez = mysql_query("SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons and num_sez>=$minsez and num_sez<=$offsetsez",$dbi);
-                list($diff)=mysql_fetch_row($resnsez);
-########
+			if (strstr( $op,'circo'))
+			$sql="SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons and num_circ>=$minsez and num_circ<=$offsetsez";
+
+
+			else
+			$sql="SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons and num_sez>=$minsez and num_sez<=$offsetsez";
+
+				$resnsez = $dbi->prepare("$sql");
+				$resnsez->execute();
+				list($diff)=$resnsez->fetch(PDO::FETCH_NUM);
+			########
 			#	$diff=($offsetsez-$minsez);
 			if ($minsez>1){
-					$minsez_p= ($minsez-$diff)>1 ? $minsez-$diff:1;
-					 
-					$offsetsez_p=$offsetsez-$diff;
-								echo "<div style=\"float: right; width:200px;margin-left:10px;margin-right:400px;font-size:12px \"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=$op&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_p&amp;offsetsez=$offsetsez_p&amp;perc=$perc&amp;id_lista=$id_lista\"> <- $tipo2 Precedenti</a></div>";
-				}else{echo "";}
-
-				if ($offsetsez<$numsezmax){
-					$minsez_s=$minsez+$diff;
-					$offsetsez_s= ($offsetsez+$diff)>$num_sez ? $num_sez: $offsetsez+$diff;
-
-								echo "<div style=\"float: left; width:200px; margin-left:10px;\"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_s&amp;offsetsez=$offsetsez_s&amp;perc=$perc&amp;id_lista=$id_lista\"> $tipo2 Successive -></a></div>";
-				}else{echo "";}	
-
-
-
-
-
-				if(!$circo)
-				
+				$minsez_p= ($minsez-$diff)>1 ? $minsez-$diff:1;				 
+				$offsetsez_p=$offsetsez-$diff;
+				echo "<div style=\"float: right; width:200px;margin-left:10px;margin-right:400px;font-size:12px \"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=$op&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_p&amp;offsetsez=$offsetsez_p&amp;perc=$perc&amp;id_lista=$id_lista\"> <- $tipo2 Precedenti</a></div>";
+			}else{echo "";}
+			if ($offsetsez<$numsezmax){
+				$minsez_s=$minsez+$diff;
+				$offsetsez_s= ($offsetsez+$diff)>$num_sez ? $num_sez: $offsetsez+$diff;
+				echo "<div style=\"float: left; width:200px; margin-left:10px;\"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_s&amp;offsetsez=$offsetsez_s&amp;perc=$perc&amp;id_lista=$id_lista\"> $tipo2 Successive -></a></div>";
+			}else{echo "";}	
+			if(!$circo)				
 				echo "<div style=\"margin-left:10px;\"><br/>"._MOSTRA." $tipo2 "._PERCOL."<input type=\"radio\" name=\"orvert\" $righe value=\"0\"></input>"._PERRIGHE." <input
 				type=\"radio\" name=\"orvert\" $colonne value=\"1\"></input>";
-				echo "<input type=\"hidden\" name=\"name\" value=\"Elezioni\"></input>
-				</div>";
-
-				
-				
-				echo "<p>";
-				if (!strstr( $op,'candidato')) {
-					echo ""._VIS_PERC.": <input type=\"checkbox\" name=\"perc\" value=\"true\"";
-					if($perc=='true') echo " checked=\"true\"";
-					echo "></input><br/>";
-				}
-				echo "";
+			echo "<input type=\"hidden\" name=\"name\" value=\"Elezioni\"></input></div>";
+			echo "<p>";
+			if (!strstr( $op,'candidato')) {
+				echo ""._VIS_PERC.": <input type=\"checkbox\" name=\"perc\" value=\"true\"";
+				if($perc=='true') echo " checked=\"true\"";
+				echo "></input><br/>";
+			}
+			echo "";
 			if($circo) 
 				echo "<input type=\"hidden\" name=\"id_circ\" value=\"$id_circ\"></input>";	
@@ -402,12 +414,18 @@
 				# liste e gruppi da.... a	  
 				if (!strstr( $op,'candidato')) {
-				      $res_cand2 = mysql_query("SELECT descrizione from ".$prefix."_ele_$tab15 where id_cons='$id_cons' and num_$tab15 ='$min'",$dbi);
-				      list($descrizione)= mysql_fetch_row($res_cand2);
+				    $sql="SELECT descrizione from ".$prefix."_ele_$tab15 where id_cons='$id_cons' and num_$tab15 ='$min'";
+					$res_cand2 = $dbi->prepare("$sql");
+					$res_cand2->execute();
+
+				      list($descrizione)= $res_cand2->fetch(PDO::FETCH_NUM);
 				      $list1 ="da $descrizione ";  
 
 
 
-				      $res_cand3 = mysql_query("SELECT descrizione from ".$prefix."_ele_$tab15 where id_cons='$id_cons' and num_$tab15 ='$offset'",$dbi);
-				      list($descrizione)= mysql_fetch_row($res_cand3);
+				      $sql="SELECT descrizione from ".$prefix."_ele_$tab15 where id_cons='$id_cons' and num_$tab15 ='$offset'";
+						$res_cand3 = $dbi->prepare("$sql");
+						$res_cand3->execute();
+
+				      list($descrizione)= $res_cand3->fetch(PDO::FETCH_NUM);
 				      $list1 .=" a $descrizione <br/>";
 			      
@@ -417,14 +435,23 @@
 				if (!isset($list2)) $list2='';
 				if (strstr( $op,'candidato')) { 
-					$res_lis2 = mysql_query("SELECT num_lista, descrizione from ".$prefix."_ele_lista where id_lista=$id_lista",$dbi);
-					list($num_lista2,$descr_lista2)= mysql_fetch_row($res_lis2);
+					$sql="SELECT num_lista, descrizione from ".$prefix."_ele_lista where id_lista=$id_lista";
+					$res_lis2 = $dbi->prepare("$sql");
+					$res_lis2->execute();
+
+					list($num_lista2,$descr_lista2)= $res_lis2->fetch(PDO::FETCH_NUM);
 					$nomefile=" Lista n. $num_lista2 - $descr_lista2 ";
 					$list2 .=" Lista n. $num_lista2 - $descr_lista2 <br/>";
 				
-					$res_cand4 = mysql_query("SELECT concat(cognome,' ', nome) from ".$prefix."_ele_$tab where id_cons=$id_cons and id_lista=$id_lista and num_cand=$min",$dbi);
-					list($descrizione)= mysql_fetch_row($res_cand4);
+					$sql="SELECT concat(cognome,' ', nome) from ".$prefix."_ele_$tab where id_cons=$id_cons and id_lista=$id_lista and num_cand=$min";
+					$res_cand4 = $dbi->prepare("$sql");
+					$res_cand4->execute();
+
+					list($descrizione)= $res_cand4->fetch(PDO::FETCH_NUM);
 				         $list3 ="da $descrizione "; 
-					$res_cand5 = mysql_query("SELECT concat(cognome,' ', nome) from ".$prefix."_ele_$tab where id_cons=$id_cons and id_lista=$id_lista and num_cand=$offset",$dbi);
-					list($descrizione)= mysql_fetch_row($res_cand5);
+					$sql="SELECT concat(cognome,' ', nome) from ".$prefix."_ele_$tab where id_cons=$id_cons and id_lista=$id_lista and num_cand=$offset";
+					$res_cand5 = $dbi->prepare("$sql");
+					$res_cand5->execute();
+
+					list($descrizione)= $res_cand5->fetch(PDO::FETCH_NUM);
 				         $list3 .="a $descrizione <br/>";
 
